<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_VehicleStatus StructType
 * @subpackage Structs
 */
class Get_VehicleStatus extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleStatusSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleStatusSelection
     */
    public $VehicleStatusSelection;
    /**
     * Constructor method for Get_VehicleStatus
     * @uses Get_VehicleStatus::setLogin()
     * @uses Get_VehicleStatus::setVehicleStatusSelection()
     * @param \StructType\Login $login
     * @param \StructType\VehicleStatusSelection $vehicleStatusSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleStatusSelection $vehicleStatusSelection = null)
    {
        $this
            ->setLogin($login)
            ->setVehicleStatusSelection($vehicleStatusSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_VehicleStatus
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleStatusSelection value
     * @return \StructType\VehicleStatusSelection|null
     */
    public function getVehicleStatusSelection()
    {
        return $this->VehicleStatusSelection;
    }
    /**
     * Set VehicleStatusSelection value
     * @param \StructType\VehicleStatusSelection $vehicleStatusSelection
     * @return \StructType\Get_VehicleStatus
     */
    public function setVehicleStatusSelection(\StructType\VehicleStatusSelection $vehicleStatusSelection = null)
    {
        $this->VehicleStatusSelection = $vehicleStatusSelection;
        return $this;
    }
}
